package xn.xxp.room.bean;

import androidx.room.Entity;
import androidx.room.PrimaryKey;

@Entity
public class LabConfig {
    @PrimaryKey
    private long labId; // 设备ID
    private int isStart; // 是否启用信息牌 0不启用 1启用
    private int logoutTime; // 自动注销时间 秒
    private int returnTime; // 自动返回时间 秒
    private int authType; // 身份核验方式 1-指纹 2-人脸/指纹/刷卡/密码 3-人脸/指纹 4-刷卡+密码 5-人脸+密码 6-人脸+刷卡
    private String isRelationGuard = ""; // 是否关联门禁  1 关联  2不关联

    public long getLabId() {
        return labId;
    }

    public void setLabId(long labId) {
        this.labId = labId;
    }

    public int getIsStart() {
        return isStart;
    }

    public void setIsStart(int isStart) {
        this.isStart = isStart;
    }

    public int getLogoutTime() {
        return logoutTime;
    }

    public void setLogoutTime(int logoutTime) {
        this.logoutTime = logoutTime;
    }

    public int getReturnTime() {
        return returnTime;
    }

    public void setReturnTime(int returnTime) {
        this.returnTime = returnTime;
    }

    public int getAuthType() {
        return authType;
    }

    public void setAuthType(int authType) {
        this.authType = authType;
    }

    public String getIsRelationGuard() {
        return isRelationGuard;
    }

    public void setIsRelationGuard(String isRelationGuard) {
        this.isRelationGuard = isRelationGuard;
    }
}
